> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата официальной генерации

> Запрос результатов генерации видео



## OpenAPI

````yaml openapi/ru/grok_video.json GET /grok/v1/videos/{request_id}
openapi: 3.1.0
info:
  title: Официальный видео API Grok
  version: 1.0.0
  description: >-
    Официальный API генерации видео Grok, поддерживает преобразование текста в
    видео, преобразование изображения в видео и расширение видео. В настоящее
    время поддерживает модель grok-imagine-video. Максимальная длительность
    входного видео — 15 секунд.
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /grok/v1/videos/{request_id}:
    get:
      description: Запрос результатов генерации видео
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: ID запроса, возвращённый при генерации видео
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Статус генерации видео: done-завершено, processing-в
                      процессе, failed-ошибка
                    example: done
                  video:
                    type: object
                    description: Информация о видео
                    properties:
                      url:
                        type: string
                        description: URL доступа к сгенерированному видео
                        example: https://cdn.ttapi.io/video/xxx.mp4
                      duration:
                        type: number
                        description: Длительность видео (секунды)
                        example: 10
                      respect_moderation:
                        type: boolean
                        description: Пройдена ли модерация контента
                        example: true
                  model:
                    type: string
                    description: Название использованной модели
                    example: grok-imagine-video
                  usage:
                    type: object
                    description: Информация о расходе
                    properties:
                      cost_in_usd_tocks:
                        type: number
                        description: Стоимость, потраченная на этот запрос (в центах)
                  progress:
                    type: number
                    description: >-
                      Текущий прогресс задачи в процентах (0-100), действителен
                      только когда статус не done
                    example: 100
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````